Commit 36813ddc authored by Benoit Lavenier's avatar Benoit Lavenier
Browse files

Upgrade to NW 0.35.2 + fix #723

[enh] Upgrade to NW 0.35.2
[fix] Add dependency to libgconf-2-4 - fix #723
parent b95f5859
......@@ -43,3 +43,8 @@ arch/windows/LICENSE.txt
src/nw/cesium
!src/nw/cesium/node.js
tmp
package-lock.json
src/nw/yarn.lock
src/nw/swiftshader/libEGL.so
src/nw/swiftshader/libGLESv2.so
\ No newline at end of file
......@@ -8,7 +8,7 @@ export NVM_DIR="$HOME/.nvm"
NVER=`node -v`
CESIUM_TAG=
ADDON_VERSION=48
NW_VERSION=0.22.3
NW_VERSION=0.35.2
NW_RELEASE="v${NW_VERSION}"
NW="nwjs-${NW_RELEASE}-linux-x64"
NW_GZ="${NW}.tar.gz"
......
Package: cesium
Version: 1.3.2
Version: 1.2.6
Section: misc
Priority: optional
Architecture: all
Installed-Size: 235351
Maintainer: Benoit Lavenier <benoit.lavenier@e-is.pro>
Description: Cesium Wallet for Duniter Ğ1
Description: Cesium Wallet for G1 currency
Depends: libgconf-2-4 (>= 3.2.0)
......@@ -2,6 +2,7 @@
ROOT_DIR=$PWD
TEMP_DIR=$PWD/tmp
NV_VERSION=0.35.2
# Check first arguments = version
if [[ $1 =~ ^[0-9]+.[0-9]+.[0-9]+((a|b)[0-9]+)?$ ]];
......@@ -28,11 +29,11 @@ mkdir -p $TEMP_DIR && cd $TEMP_DIR
# Install NW.js
if [[ ! -f $ROOT_DIR/src/nw/nw ]];
then
wget http://dl.nwjs.io/v0.22.3/nwjs-sdk-v0.22.3-linux-x64.tar.gz
tar xvzf nwjs-sdk-v0.22.3-linux-x64.tar.gz
mv nwjs-sdk-v0.22.3-linux-x64/* "$ROOT_DIR/src/nw"
rm nwjs-sdk-v0.22.3-linux-x64.tar.gz
rmdir nwjs-sdk-v0.22.3-linux-x64
wget http://dl.nwjs.io/v${NV_VERSION}/nwjs-sdk-v${NV_VERSION}-linux-x64.tar.gz
tar xvzf nwjs-sdk-v${NV_VERSION}-linux-x64.tar.gz
mv nwjs-sdk-v${NV_VERSION}-linux-x64/* "$ROOT_DIR/src/nw"
rm nwjs-sdk-v${NV_VERSION}-linux-x64.tar.gz
rmdir nwjs-sdk-v${NV_VERSION}-linux-x64
rmdir nw
fi
......
......@@ -24,10 +24,6 @@ esprima@^3.1.1:
version "3.1.3"
resolved "https://registry.yarnpkg.com/esprima/-/esprima-3.1.3.tgz#fdca51cee6133895e3c88d535ce49dbff62a4633"
js-scrypt-em@^0.0.1:
version "0.0.1"
resolved "https://registry.yarnpkg.com/js-scrypt-em/-/js-scrypt-em-0.0.1.tgz#cc6232784e7958a0f4910013253c8d53909d00cb"
js-yaml@^3.8.4:
version "3.8.4"
resolved "https://registry.yarnpkg.com/js-yaml/-/js-yaml-3.8.4.tgz#520b4564f86573ba96662af85a8cafa7b4b5a6f6"
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment